/*

Atom One Dark by Daniel Gamage
Original One Dark Syntax theme from https://github.com/atom/one-dark-syntax

base:    #282c34
mono-1:  #abb2bf
mono-2:  #818896
mono-3:  #5c6370
hue-1:   #56b6c2
hue-2:   #61aeee
hue-3:   #c678dd
hue-4:   #98c379
hue-5:   #e06c75
hue-5-2: #be5046
hue-6:   #d19a66
hue-6-2: #e6c07b

*/

/*@font-face{
  font-family: 'Fira Code';
  src: url('fonts/fira_code/eot/FiraCode-Light.eot');
  src: url('fonts/fira_code/eot/FiraCode-Light.eot') format('embedded-opentype'),
  url('fonts/fira_code/woff2/FiraCode-Light.woff2') format('woff2'),
  url('fonts/fira_code/woff/FiraCode-Light.woff') format('woff'),
  url('fonts/fira_code/ttf/FiraCode-Light.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
}*/

@font-face{
  font-family: 'Fira Code';
  src: url('fonts/fira_code/eot/FiraCode-Regular.eot');
  src: url('fonts/fira_code/eot/FiraCode-Regular.eot') format('embedded-opentype'),
  url('fonts/fira_code/woff2/FiraCode-Regular.woff2') format('woff2'),
  url('fonts/fira_code/woff/FiraCode-Regular.woff') format('woff'),
  url('fonts/fira_code/ttf/FiraCode-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
}

/*@font-face{
  font-family: 'Fira Code';
  src: url('fonts/fira_code/eot/FiraCode-Medium.eot');
  src: url('fonts/fira_code/eot/FiraCode-Medium.eot') format('embedded-opentype'),
  url('fonts/fira_code/woff2/FiraCode-Medium.woff2') format('woff2'),
  url('fonts/fira_code/woff/FiraCode-Medium.woff') format('woff'),
  url('fonts/fira_code/ttf/FiraCode-Medium.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
}*/

/*@font-face{
  font-family: 'Fira Code';
  src: url('fonts/fira_code/eot/FiraCode-Bold.eot');
  src: url('fonts/fira_code/eot/FiraCode-Bold.eot') format('embedded-opentype'),
  url('fonts/fira_code/woff2/FiraCode-Bold.woff2') format('woff2'),
  url('fonts/fira_code/woff/FiraCode-Bold.woff') format('woff'),
  url('fonts/fira_code/ttf/FiraCode-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}*/

.hljs, .hljs code {
  font-family: "Fira Code", monospace;
}

.hljs {
  display: block;
  overflow-x: auto;
  padding: 1em;
  color: #abb2bf;
  background: #282c34;
  font-size: 0.85em;
  border-radius: 0.5em;
}

.hljs-comment,
.hljs-quote {
  color: #5c6370;
  font-style: italic;
}

.hljs-doctag,
.hljs-keyword,
.hljs-formula {
  color: #c678dd;
}

.hljs-section,
.hljs-name,
.hljs-selector-tag,
.hljs-deletion,
.hljs-subst {
  color: #e06c75;
}

.hljs-literal {
  color: #56b6c2;
}

.hljs-string,
.hljs-regexp,
.hljs-addition,
.hljs-attribute,
.hljs-meta-string {
  color: #98c379;
}

.hljs-built_in,
.hljs-class .hljs-title {
  color: #e6c07b;
}

.hljs-variable,
.hljs-template-variable,
.hljs-type,
.hljs-selector-class,
.hljs-selector-attr,
.hljs-selector-pseudo,
.hljs-number {
  color: #d19a66;
}

.hljs-symbol,
.hljs-bullet,
.hljs-link,
.hljs-meta,
.hljs-selector-id,
.hljs-title {
  color: #61aeee;
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-strong {
  font-weight: bold;
}

.hljs-link {
  text-decoration: underline;
}